<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">
<xsl:output method="html"/>
<xsl:template match="/">
<html><head><title>Recipes</title></head>
<body>
<xsl:apply-templates/>
</body>
</html>
</xsl:template>
<xsl:template match="recipe">
	<div class="recipe"><xsl:apply-templates />
</div>
</xsl:template>
<xsl:template match="name">
	<h1><xsl:value-of select="." /></h1>
</xsl:template>
<xsl:template match="ingredients">
	<ul><xsl:apply-templates /></ul>
</xsl:template>
<xsl:template match="steps">
	<ol><xsl:apply-templates /></ol>
</xsl:template>
<xsl:template match="ingredient">
	<li><xsl:apply-templates /></li>
</xsl:template>
<xsl:template match="step">
	<li><xsl:apply-templates /></li>
</xsl:template>
<xsl:template match="abbr">
	<abbr><xsl:attribute name="title"><xsl:value-of select="@title"/>
	</xsl:attribute><xsl:value-of select="."/></abbr>
</xsl:template>
</xsl:stylesheet>
